Debian Bug report logs - #555564
FTBFS with binutils-gold

version graph

Package: src:lordsawar; Maintainer for src:lordsawar is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Tue, 10 Nov 2009 11:51:07 UTC

Severity: serious

Tags: sid, wheezy

Found in version lordsawar/0.1.6-1

Fixed in version 0.1.8-1

Done: Evgeni Golov <evgeni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#555564; Package src:lordsawar. (Tue, 10 Nov 2009 11:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 10 Nov 2009 11:51:10 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Tue, 10 Nov 2009 10:58:56 +0100
Source: lordsawar
Version: 0.1.6-1
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

Objects inside an .a archive aren't linked yet. This means that you must resolve
their symbols when linking to a program.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

/bin/bash ../libtool --tag=CXX   --mode=link x86_64-linux-gnu-g++ -Wall -DPO_PATH=\"/usr/share/locale/\" -Wunused-function -g -O2   -o lordsawar armymap.o recently-played-game.o recently-played-game-list.o game.o gamebigmap.o sound.o main.o  liblordsawar.la liblordsawarnet.la liblordsawargfx.la -lSDL_mixer -lgtkmm-2.4 -latkmm-1.6 -lgdkmm-2.4 -lgiomm-2.4 -lpangomm-1.4 -lgtk-x11-2.0 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -pthread -lgnet-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lsigc-2.0   gui/liblwgui.la  -lexpat 
libtool: link: x86_64-linux-gnu-g++ -Wall -DPO_PATH=\"/usr/share/locale/\" -Wunused-function -g -O2 -o lordsawar armymap.o recently-played-game.o recently-played-game-list.o game.o gamebigmap.o sound.o main.o -pthread  ./.libs/liblordsawar.a ./.libs/liblordsawarnet.a ./.libs/liblordsawargfx.a /usr/lib/libSDL_mixer.so /usr/lib/libgtkmm-2.4.so /usr/lib/libatkmm-1.6.so /usr/lib/libgdkmm-2.4.so /usr/lib/libgiomm-2.4.so /usr/lib/libpangomm-1.4.so /usr/lib/libgtk-x11-2.0.so /usr/lib/libglibmm-2.4.so /usr/lib/libcairomm-1.0.so /usr/lib/libgdk-x11-2.0.so /usr/lib/libatk-1.0.so /usr/lib/libpangoft2-1.0.so /usr/lib/libgdk_pixbuf-2.0.so -lm /usr/lib/libpangocairo-1.0.so /usr/lib/libgio-2.0.so /usr/lib/libcairo.so /usr/lib/libpango-1.0.so /usr/lib/libfreetype.so -lfontconfig /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so /usr/lib/libgnet-2.0.so /usr/lib/libgthread-2.0.so -lrt /usr/lib/libglib-2.0.so /usr/lib/libsigc-2.0.so gui/.libs/liblwgui.a /usr/lib/libexpat.so -pthread
/usr/bin/ld: sound.o: in function Sound::Sound():sound.cpp:92: error: undefined reference to 'SDL_GetError'
/usr/bin/ld: sound.o: in function Sound::Sound():sound.cpp:92: error: undefined reference to 'SDL_GetError'
/usr/bin/ld: ./.libs/liblordsawar.a(xmlhelper.o): in function XML_Helper::XML_Helper(std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::_Ios_Openmode, bool):xmlhelper.cpp:100: error: undefined reference to 'uncompress'
/usr/bin/ld: ./.libs/liblordsawar.a(xmlhelper.o): in function XML_Helper::XML_Helper(std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::_Ios_Openmode, bool):xmlhelper.cpp:100: error: undefined reference to 'uncompress'
/usr/bin/ld: ./.libs/liblordsawar.a(xmlhelper.o): in function XML_Helper::close():xmlhelper.cpp:341: error: undefined reference to 'compress2'
collect2: ld returned 1 exit status
make[4]: *** [lordsawar] Error 1




Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:22:33 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:29:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 01 May 2011 11:16:30 GMT) Full text and rfc822 format available.

Reply sent to Evgeni Golov <evgeni@debian.org>:
You have taken responsibility. (Sun, 08 May 2011 18:42:03 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Sun, 08 May 2011 18:42:03 GMT) Full text and rfc822 format available.

Message #16 received at 555564-done@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 555564-done@bugs.debian.org
Subject: fixed in 0.1.8
Date: Sun, 8 May 2011 20:39:00 +0200
Version: 0.1.8-1

Hi,

thanks for the report. The problem is solved upstream since 0.1.8.
(verified by building 0.1.6, 0.1.8 and 0.2.0 in sid)
Closing here and now :)

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Jun 2011 07:36:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:16:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.